Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBRemoteAccount.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBRemoteAccount.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBRemoteAccount

public final class DBRemoteAccount.Row
extends Object
implements DBRow

Field Summary
`String` | `password`

Constructor Summary
`DBRemoteAccount.Row(DBUser.Row user, DBSystem.Row system, String password, DBSession.Row session)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`boolean` | `closed()`
`void` | `delete()`
`boolean` | `equals(Object o)`
`Object` | `getKey()`
`List` | `getKeys()`
`DBSession.Row` | `getSession()`
`DBSystem.Row` | `getSystem()`
`DBUser.Row` | `getUser()`
`void` | `update()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### password

    public String password

Constructor Detail

### DBRemoteAccount.Row

    public DBRemoteAccount.Row(DBUser.Row user,
                               DBSystem.Row system,
                               String password,
                               DBSession.Row session)

Method Detail

### update

    public void update()
                throws Exception

### delete

    public void delete()
                throws Exception

### closed

    public boolean closed()

### getUser

    public DBUser.Row getUser()

### getSystem

    public DBSystem.Row getSystem()

### getSession

    public DBSession.Row getSession()

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD